## GimpIntStore

GimpIntStore — A model for integer based name-value pairs (e.g. enums)

## Functions

GtkListStore * | gimp_int_store_new ()
gboolean | gimp_int_store_lookup_by_value ()
gboolean | gimp_int_store_lookup_by_user_data ()

## Properties

GType * | user-data-type | Read / Write / Construct Only

## Types and Values

| GimpIntStore
enum | GimpIntStoreColumns

## Object Hierarchy

        GObject
        ╰── GtkListStore
            ╰── GimpIntStore
                ╰── GimpEnumStore

## Implemented Interfaces

GimpIntStore implements GtkTreeModel, GtkTreeDragSource, GtkTreeDragDest, GtkTreeSortable and GtkBuildable.

## Description

A model for integer based name-value pairs (e.g. enums)

## Functions

### gimp_int_store_new ()

    GtkListStore *
    gimp_int_store_new (void);

Creates a GtkListStore with a number of useful columns. GimpIntStore is especially useful if the items you want to store are identified using an integer value.

#### Returns

a new GimpIntStore.

Since: 2.2

### gimp_int_store_lookup_by_value ()

    gboolean
    gimp_int_store_lookup_by_value (GtkTreeModel *model,
                                    gint value,
                                    GtkTreeIter *iter);

Iterate over the `model` looking for `value` .

#### Parameters

model | a GimpIntStore |
value | an integer value to lookup in the `model` |
iter | return location for the iter of the given `value` |

#### Returns

`TRUE` if the value has been located and `iter` is valid, `FALSE` otherwise.

Since: 2.2

### gimp_int_store_lookup_by_user_data ()

    gboolean
    gimp_int_store_lookup_by_user_data (GtkTreeModel *model,
                                        gpointer user_data,
                                        GtkTreeIter *iter);

Iterate over the `model` looking for `user_data` .

#### Parameters

model | a GimpIntStore |
user_data | a gpointer "user-data" to lookup in the `model` |
iter | return location for the iter of the given `user_data` |

#### Returns

`TRUE` if the user-data has been located and `iter` is valid, `FALSE` otherwise.

Since: 2.10

## Types and Values

### GimpIntStore

    typedef struct _GimpIntStore GimpIntStore;

### enum GimpIntStoreColumns

The column types of GimpIntStore.

#### Members

GIMP_INT_STORE_VALUE | the integer value |
GIMP_INT_STORE_LABEL | a human-readable label |
GIMP_INT_STORE_ICON_NAME | an icon name |
GIMP_INT_STORE_PIXBUF | a GdkPixbuf |
GIMP_INT_STORE_USER_DATA | arbitrary user data |
GIMP_INT_STORE_ABBREV | an abbreviated label |
GIMP_INT_STORE_NUM_COLUMNS | the number of columns |
GIMP_INT_STORE_STOCK_ID | compat alias for `GIMP_INT_STORE_ICON_NAME` |

## Property Details

### The `“user-data-type”` property

      “user-data-type”           GType *

Sets the GType for the GIMP_INT_STORE_USER_DATA column.

You need to set this property when constructing the store if you want to use the GIMP_INT_STORE_USER_DATA column and want to have the store handle ref-counting of your user data.

Owner: GimpIntStore

Flags: Read / Write / Construct Only

Allowed values: void

Since: 2.4